Bug 449128 - Renaming volgroup does not rename the mapper link
Renaming volgroup does not rename the mapper link
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-05-30 12:50 EDT by Chris Cogdon
Modified: 2009-07-15 04:28 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-15 04:28:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Chris Cogdon 2008-05-30 12:50:08 EDT
Description of problem:
When renaming a volgroup, the symlink in /dev/VolGroupNN is not also renamed.
Ie, it is possible to have something that says /dev/VolGroup01/LogVol00 ->

A typical occurance of this "rename" is inserting a LVM-enabled drive from one
machine into another. At that point you'll have TWO Volgroups Labelled
VolGroup00. One can be renamed by using the UUID of the VolGroup to distinguish
the two. However, when one mounts the renamed group, you'll get another copy of
the UNrenamed group because of the issue above.

A reboot solves this issue, but this should not be necessary. And, why did linux
not complain when the FS was mounted twice?

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Create two systems with LVM enabled. Put some special file in BOTH systems so
you can identify them as distinct. Eg: "echo ONE >/id" "echo TWO >/id"
2. Power down both systems and move one drive into the other, so that one system
has both drives
3. Power up that system.
4. Rename one of the volume groups from VolGroup00 to VolGroup01 (for example).
Use UUIDs. Eg: "vgrename FR7cBt-G7P6-KUd0-PM7Z-d08x-9bn2-M1WJiX VolGroup01"
5. Mount the new volume: mkdir /mnt/stuff ; mount /dev/VolGroup
6. Check the ids: "cat /id ; cat /mnt/stuff/id"
7. Check the symlinks: "ls -l /dev/VolGroup??"
Actual results:
YOu'll get:


indicating that the same drive is mounted twice.

And the result of the "ls" will show that VolGroup01/* still points to

Expected results:


The "ls" should show that VolGroup01 points to mapper's VolGroup01

Additional info:
Comment 1 Peter Rajnoha 2008-12-19 10:37:59 EST
The fix has been uploaded to upstream CVS.
Comment 2 Bug Zapper 2009-06-09 21:17:49 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 3 Bug Zapper 2009-07-15 04:28:25 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.